Subject: Re: [PATCH] powerpc: Fix problems with 32bit PPC's running with more than 2GB of RAM

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 12 Jul 2008 13:33:54 +1000

> Are you *sure* you can see all 4GB?  I thought we lost some of the 32- 
> bit PCI address space for PCI IO......  Disclaimer: I'm no expert on  
> PCI :)

You are right. I didn't think that through when I replied. We do lose
some of it for MMIO (not IO). So we cannot really go all the way to 4G
because we can't DMA to all of it, right.

> FYI, I'm *very* close to having swiotlb fully functional on powerpc to  
> support larger RAM - I am able to boot with 6GB on 8641 right now.   
> There are some bugs that I'm still shaking out - I hope to push this  
> out in the next couple of weeks.

That won't make .27 then ?

Cheers,
Ben.